aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-09-23 12:34:09 +0200
committerJustin Lecher <jlec@gentoo.org>2015-09-23 12:34:09 +0200
commit31948f21ddfb503f0c25d80ee1f38ba348fbc69d (patch)
tree3e4471e1cb6b889add274c3feb0060c3bc935892 /sci-astronomy
parentMerge remote-tracking branch 'github/master' (diff)
downloadsci-31948f21ddfb503f0c25d80ee1f38ba348fbc69d.tar.gz
sci-31948f21ddfb503f0c25d80ee1f38ba348fbc69d.tar.bz2
sci-31948f21ddfb503f0c25d80ee1f38ba348fbc69d.zip
Drop unnecessary die from emake
Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'sci-astronomy')
-rw-r--r--[l---------]sci-astronomy/missfits/missfits-2.8.0.ebuild34
-rw-r--r--[l---------]sci-astronomy/psfex/psfex-3.17.0.ebuild71
-rw-r--r--[l---------]sci-astronomy/psfex/psfex-3.9.1.ebuild71
-rw-r--r--[l---------]sci-astronomy/sextractor/sextractor-2.19.5.ebuild74
-rw-r--r--[l---------]sci-astronomy/skymaker/skymaker-3.10.5.ebuild36
-rw-r--r--[l---------]sci-astronomy/stiff/stiff-2.4.0.ebuild44
-rw-r--r--[l---------]sci-astronomy/stuff/stuff-1.26.0.ebuild36
-rw-r--r--[l---------]sci-astronomy/swarp/swarp-2.38.0.ebuild42
-rw-r--r--[l---------]sci-astronomy/weightwatcher/weightwatcher-1.12.ebuild36
9 files changed, 435 insertions, 9 deletions
diff --git a/sci-astronomy/missfits/missfits-2.8.0.ebuild b/sci-astronomy/missfits/missfits-2.8.0.ebuild
index b8cfc9035..19b75a881 120000..100644
--- a/sci-astronomy/missfits/missfits-2.8.0.ebuild
+++ b/sci-astronomy/missfits/missfits-2.8.0.ebuild
@@ -1 +1,33 @@
-missfits-9999.ebuild \ No newline at end of file
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit subversion
+ ESVN_REPO_URI="https://astromatic.net/pubsvn/software/${PN}/trunk"
+ SRC_URI=""
+ KEYWORDS=""
+ AUTOTOOLS_AUTORECONF=1
+else
+ SRC_URI="http://www.astromatic.net/download/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+inherit autotools-utils
+
+DESCRIPTION="Performs basic maintenance and packaging tasks on FITS files"
+HOMEPAGE="http://www.astromatic.net/software/missfits/"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="doc"
+
+RDEPEND=""
+DEPEND="${RDEPEND}"
+
+src_install () {
+ autotools-utils_src_install
+ use doc && dodoc doc/*
+}
diff --git a/sci-astronomy/psfex/psfex-3.17.0.ebuild b/sci-astronomy/psfex/psfex-3.17.0.ebuild
index 1942f52c3..db23a2197 120000..100644
--- a/sci-astronomy/psfex/psfex-3.17.0.ebuild
+++ b/sci-astronomy/psfex/psfex-3.17.0.ebuild
@@ -1 +1,70 @@
-psfex-9999.ebuild \ No newline at end of file
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit subversion
+ ESVN_REPO_URI="https://astromatic.net/pubsvn/software/${PN}/trunk"
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://www.astromatic.net/download/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit autotools-utils multilib
+
+DESCRIPTION="Extracts models of the Point Spread Function from FITS images"
+HOMEPAGE="http://www.astromatic.net/software/psfex"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="doc threads plplot"
+
+RDEPEND="
+ sci-libs/atlas[lapack,threads=]
+ sci-libs/fftw:3.0
+ plplot? ( sci-libs/plplot:= )"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ local mycblas=atlcblas myclapack=atlclapack
+ if use threads; then
+ [[ -e ${EPREFIX}/usr/$(get_libdir)/libptcblas.so ]] && \
+ mycblas=ptcblas
+ [[ -e ${EPREFIX}/usr/$(get_libdir)/libptclapack.so ]] &&
+ myclapack=ptclapack
+ fi
+ # fix the configure and not the acx_atlas.m4. the eautoreconf will
+ # produce a configure giving a wrong install Makefile target (to fix)
+ sed -i \
+ -e "s/-lcblas/-l${mycblas}/g" \
+ -e "s/AC_CHECK_LIB(cblas/AC_CHECK_LIB(${mycblas}/g" \
+ -e "s/-llapack/-l${myclapack}/g" \
+ -e "s/\(lapack_lib=\).*/\1${myclapack}/g" \
+ -e "s/AC_CHECK_LIB(lapack/AC_CHECK_LIB(${myclapack}/g" \
+ acx_atlas.m4 || die
+
+ # fix for newer plplot
+ sed -i -e 's/plcol(/plcol0(/g' src/cplot.c || die
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=(
+ --with-atlas-incdir="${EPREFIX}/usr/include/atlas"
+ $(use_enable plplot)
+ $(use_enable threads)
+ )
+ autotools-utils_src_configure
+}
+
+src_install () {
+ autotools-utils_src_install
+ use doc && dodoc doc/*
+}
diff --git a/sci-astronomy/psfex/psfex-3.9.1.ebuild b/sci-astronomy/psfex/psfex-3.9.1.ebuild
index 1942f52c3..db23a2197 120000..100644
--- a/sci-astronomy/psfex/psfex-3.9.1.ebuild
+++ b/sci-astronomy/psfex/psfex-3.9.1.ebuild
@@ -1 +1,70 @@
-psfex-9999.ebuild \ No newline at end of file
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit subversion
+ ESVN_REPO_URI="https://astromatic.net/pubsvn/software/${PN}/trunk"
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://www.astromatic.net/download/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit autotools-utils multilib
+
+DESCRIPTION="Extracts models of the Point Spread Function from FITS images"
+HOMEPAGE="http://www.astromatic.net/software/psfex"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="doc threads plplot"
+
+RDEPEND="
+ sci-libs/atlas[lapack,threads=]
+ sci-libs/fftw:3.0
+ plplot? ( sci-libs/plplot:= )"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ local mycblas=atlcblas myclapack=atlclapack
+ if use threads; then
+ [[ -e ${EPREFIX}/usr/$(get_libdir)/libptcblas.so ]] && \
+ mycblas=ptcblas
+ [[ -e ${EPREFIX}/usr/$(get_libdir)/libptclapack.so ]] &&
+ myclapack=ptclapack
+ fi
+ # fix the configure and not the acx_atlas.m4. the eautoreconf will
+ # produce a configure giving a wrong install Makefile target (to fix)
+ sed -i \
+ -e "s/-lcblas/-l${mycblas}/g" \
+ -e "s/AC_CHECK_LIB(cblas/AC_CHECK_LIB(${mycblas}/g" \
+ -e "s/-llapack/-l${myclapack}/g" \
+ -e "s/\(lapack_lib=\).*/\1${myclapack}/g" \
+ -e "s/AC_CHECK_LIB(lapack/AC_CHECK_LIB(${myclapack}/g" \
+ acx_atlas.m4 || die
+
+ # fix for newer plplot
+ sed -i -e 's/plcol(/plcol0(/g' src/cplot.c || die
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=(
+ --with-atlas-incdir="${EPREFIX}/usr/include/atlas"
+ $(use_enable plplot)
+ $(use_enable threads)
+ )
+ autotools-utils_src_configure
+}
+
+src_install () {
+ autotools-utils_src_install
+ use doc && dodoc doc/*
+}
diff --git a/sci-astronomy/sextractor/sextractor-2.19.5.ebuild b/sci-astronomy/sextractor/sextractor-2.19.5.ebuild
index 8b8a27578..6515bca3a 120000..100644
--- a/sci-astronomy/sextractor/sextractor-2.19.5.ebuild
+++ b/sci-astronomy/sextractor/sextractor-2.19.5.ebuild
@@ -1 +1,73 @@
-sextractor-9999.ebuild \ No newline at end of file
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit subversion
+ ESVN_REPO_URI="https://astromatic.net/pubsvn/software/${PN}/trunk"
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://www.astromatic.net/download/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit autotools-utils multilib
+
+DESCRIPTION="Extract catalogs of sources from astronomical FITS images"
+HOMEPAGE="http://www.astromatic.net/software/sextractor"
+
+LICENSE="GPL-3"
+SLOT="0"
+
+IUSE="doc modelfit threads"
+
+RDEPEND="
+ modelfit? ( sci-libs/atlas[lapack,threads=] sci-libs/fftw:3.0 )"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ if use modelfit; then
+ local mycblas=atlcblas myclapack=atlclapack
+ if use threads; then
+ [[ -e "${EPREFIX}"/usr/$(get_libdir)/libptcblas.so ]] && \
+ mycblas=ptcblas
+ [[ -e "${EPREFIX}"/usr/$(get_libdir)/libptclapack.so ]] && \
+ myclapack=ptclapack
+ fi
+ sed -i \
+ -e "s/-lcblas/-l${mycblas}/g" \
+ -e "s/AC_CHECK_LIB(cblas/AC_CHECK_LIB(${mycblas}/g" \
+ -e "s/-llapack/-l${myclapack}/g" \
+ -e "s/AC_CHECK_LIB(lapack/AC_CHECK_LIB(${myclapack}/g" \
+ acx_atlas.m4 || die
+ AUTOTOOLS_AUTORECONF=1
+ fi
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=(
+ --with-atlas-incdir="${EPREFIX}/usr/include/atlas"
+ $(use_enable modelfit model-fitting)
+ $(use_enable threads)
+ )
+ autotools-utils_src_configure
+}
+
+src_install () {
+ autotools-utils_src_install
+ CONFDIR=/usr/share/sextractor
+ insinto ${CONFDIR}
+ doins config/*
+ use doc && dodoc doc/*
+}
+
+pkg_postinst() {
+ elog "SExtractor examples configuration files are located in"
+ elog "${EROOT%/}/${CONFDIR} and are not loaded anymore by default."
+}
diff --git a/sci-astronomy/skymaker/skymaker-3.10.5.ebuild b/sci-astronomy/skymaker/skymaker-3.10.5.ebuild
index bae540666..f44f47f96 120000..100644
--- a/sci-astronomy/skymaker/skymaker-3.10.5.ebuild
+++ b/sci-astronomy/skymaker/skymaker-3.10.5.ebuild
@@ -1 +1,35 @@
-skymaker-9999.ebuild \ No newline at end of file
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit subversion
+ ESVN_REPO_URI="https://astromatic.net/pubsvn/software/${PN}/trunk"
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://www.astromatic.net/download/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+#AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit autotools-utils
+
+DESCRIPTION="Program that simulates astronomical images"
+HOMEPAGE="http://www.astromatic.net/software/skymaker"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="threads"
+
+RDEPEND="sci-libs/fftw:3.0"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ local myeconfargs=( $(use_enable threads) )
+ autotools-utils_src_configure
+}
diff --git a/sci-astronomy/stiff/stiff-2.4.0.ebuild b/sci-astronomy/stiff/stiff-2.4.0.ebuild
index 5f7f899eb..33c0767fd 120000..100644
--- a/sci-astronomy/stiff/stiff-2.4.0.ebuild
+++ b/sci-astronomy/stiff/stiff-2.4.0.ebuild
@@ -1 +1,43 @@
-stiff-9999.ebuild \ No newline at end of file
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit subversion
+ ESVN_REPO_URI="https://astromatic.net/pubsvn/software/${PN}/trunk"
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://www.astromatic.net/download/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+#AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit autotools-utils
+
+DESCRIPTION="Converts astronomical FITS images to the TIFF format"
+HOMEPAGE="http://astromatic.iap.fr/software/stiff"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="doc threads"
+
+RDEPEND="
+ media-libs/tiff:0=
+ virtual/jpeg:0
+ sys-libs/zlib:0="
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ local myeconfargs=( $(use_enable threads) )
+ autotools-utils_src_configure
+}
+
+src_install () {
+ use doc && DOCS=( doc/. )
+ autotools-utils_src_install
+}
diff --git a/sci-astronomy/stuff/stuff-1.26.0.ebuild b/sci-astronomy/stuff/stuff-1.26.0.ebuild
index 181cfccd3..1f57f85a8 120000..100644
--- a/sci-astronomy/stuff/stuff-1.26.0.ebuild
+++ b/sci-astronomy/stuff/stuff-1.26.0.ebuild
@@ -1 +1,35 @@
-stuff-9999.ebuild \ No newline at end of file
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit subversion
+ ESVN_REPO_URI="https://astromatic.net/pubsvn/software/${PN}/trunk"
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://www.astromatic.net/download/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+#AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit autotools-utils
+
+DESCRIPTION="Tool for automatic generation of astronomical catalogs"
+HOMEPAGE="http://www.astromatic.net/software/stuff/"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="threads"
+
+RDEPEND="sci-libs/fftw:3.0"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ local myeconfargs=( $(use_enable threads) )
+ autotools-utils_src_configure
+}
diff --git a/sci-astronomy/swarp/swarp-2.38.0.ebuild b/sci-astronomy/swarp/swarp-2.38.0.ebuild
index ffc97cbfa..71c254dee 120000..100644
--- a/sci-astronomy/swarp/swarp-2.38.0.ebuild
+++ b/sci-astronomy/swarp/swarp-2.38.0.ebuild
@@ -1 +1,41 @@
-swarp-9999.ebuild \ No newline at end of file
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit subversion
+ ESVN_REPO_URI="https://astromatic.net/pubsvn/software/${PN}/trunk"
+ SRC_URI=""
+ KEYWORDS=""
+ AUTOTOOLS_AUTORECONF=1
+else
+ SRC_URI="http://www.astromatic.net/download/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit autotools-utils
+
+DESCRIPTION="Resample and coadd astronomical FITS images"
+HOMEPAGE="http://astromatic.iap.fr/software/swarp"
+
+LICENSE="GPL-3"
+SLOT="0"
+
+IUSE="doc threads"
+
+RDEPEND=""
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ local myeconfargs=( $(use_enable threads) )
+ autotools-utils_src_configure
+}
+
+src_install () {
+ autotools-utils_src_install
+ use doc && dodoc doc/*
+}
diff --git a/sci-astronomy/weightwatcher/weightwatcher-1.12.ebuild b/sci-astronomy/weightwatcher/weightwatcher-1.12.ebuild
index fedc2e16f..9f90ed11f 120000..100644
--- a/sci-astronomy/weightwatcher/weightwatcher-1.12.ebuild
+++ b/sci-astronomy/weightwatcher/weightwatcher-1.12.ebuild
@@ -1 +1,35 @@
-weightwatcher-9999.ebuild \ No newline at end of file
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit subversion
+ ESVN_REPO_URI="https://astromatic.net/pubsvn/software/${PN}/trunk"
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://www.astromatic.net/download/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+#AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit autotools-utils
+
+DESCRIPTION="Combine weight maps and polygon for astronomical images weighting"
+HOMEPAGE="http://www.astromatic.net/software/weightwatcher/"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="doc"
+
+RDEPEND=""
+DEPEND="${RDEPEND}"
+
+src_install () {
+ autotools-utils_src_install
+ use doc && dodoc doc/*
+}